FAIRLAND(6)

NAME
fairland - Empire land generator

SYNOPSIS
fairland [ -ahioqv ] [ -e configfile ] [ -R seed ] [ -s scriptout ] nc sc [ ni [ is [ sp [ pm [ di [ id ] ] ] ] ] ]

DESCRIPTION
fairland is a program which creates land and ore for Empire. It should be run after files has been run and before emp_server has been started. This is a land generator for empire that creates a specified number of continents, and spaces them evenly accross the map. It tries to make all of them the same size, and makes sure that they don't meet. It gives each start island exactly the same distribution of resources and the same number of mountains. You can get nearly any kind of map you want by choosing the right arguments.

OPTIONS

-a  mark the continents with a * so that you can tell them from the islands

-e configfile
    Use game configuration in configfile.

-h  Help. Print brief usage information and exit.

-i  islands will crash into each other and merge

-o  do not set the resources. If you use this flag, then you will need to run some other program (for example the ore program) to set the resources.

-q  run quietly without printing anything to the terminal

-R seed
    Use seed as seed for the pseudo-random number generator. This can be used to reproduce a previously created world. (by default the current time and process id of the server are used as seed.) The seed used to generate a world is printed along with the map.

-s scriptout
    writes a script for placing capitol to the file scriptout (If you don't specify this argument, then the script will be written to "newcap_script".)

-v  Print version information and exit.

OPERANDS

nc  number of continents

sc  continent size

ni  number of islands (optional, default = nc)

is  average size of islands (optional, default = sc/2)

sp  spike percentage: 0 = round, 100 = snake (default = 10)

pm  the percentage of land that is mountain (default = 0)

di  the minimum distance between continents (default = 2)

id  minimum distance from islands to continents (default = 1)

AUTHOR
Ken Stevens <chidren@empire.net>